<template>
  <new-black-theme-m-header-title
    v-if="isShowHeader && !hideTitle"
    :title="title"
    class="sticky top-0 left-0 z-20 m-main-header"
  />
  <slot />
</template>

<script setup lang="ts">
import { store } from "~~/store";

defineProps<{
  title: string;
  /**
   * TODO: Remove "backTo?: string" props
   * Why Not Remove?: Because we need to change alot of component, that's why we need to refactor later
   */
  backTo?: string;
  hideTitle?: boolean;
}>();

const isShowHeader = computed(() =>
  ["main", "black", "sbo", "global", "playful"].includes(
    store.state.selectedThemeName
  )
);
</script>

<style lang="scss">
.m-main-header {
  align-items: center;
  gap: 4px;

  &:after {
    content: "";
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 1px;
    background-color: var(--background4);
  }

  .m-header-title {
    width: 100%;
    font-family: Roboto;
    font-size: 16px;
    font-weight: 500;
    line-height: 18.75px;
    text-align: left;
    color: var(--text3);
  }
}
</style>
